| OpenZWave Library 1.6.0

Public Types | Public Member Functions | List of all members
OpenZWave::ValueStore Class Reference
ValueID Support

Container that holds all of the values associated with a given node. More...

`#include <ValueStore.h>`

## Public Types
typedef map< uint32, Value * >::const_iterator | Iterator

## Public Member Functions
Iterator | Begin ()
Iterator | End ()
| ValueStore ()
| ~ValueStore ()
bool | AddValue (Value *_value)
bool | RemoveValue (uint32 const &_key)
Value * | GetValue (uint32 const &_key) const
void | RemoveCommandClassValues (uint8 const _commandClassId)

## Detailed Description

Container that holds all of the values associated with a given node.

## Member Typedef Documentation

## ◆ Iterator

typedef map<uint32,Value*>::const_iterator OpenZWave::ValueStore::Iterator

## Constructor & Destructor Documentation

## ◆ ValueStore()

OpenZWave::ValueStore::ValueStore | ( |  | ) |
| inline

## ◆ ~ValueStore()

ValueStore::~ValueStore | ( |  | ) |

## Member Function Documentation

## ◆ AddValue()

bool ValueStore::AddValue | ( | Value * | _value | ) |

## ◆ Begin()

Iterator OpenZWave::ValueStore::Begin | ( |  | ) |
| inline

## ◆ End()

Iterator OpenZWave::ValueStore::End | ( |  | ) |
| inline

## ◆ GetValue()

Value * ValueStore::GetValue | ( | uint32 const & | _key | ) | const

## ◆ RemoveCommandClassValues()

void ValueStore::RemoveCommandClassValues | ( | uint8 const | _commandClassId | ) |

## ◆ RemoveValue()

bool ValueStore::RemoveValue | ( | uint32 const & | _key | ) |

The documentation for this class was generated from the following files:

- ValueStore.h
- ValueStore.cpp